<?php
/**
 * @version $Id: MiscEventFunctions.class.php,v 1.1.2.4 2006/02/03 02:41:34 minahito Exp $
 */

class Legacy_MiscEventFunction
{
	function AccessToMisc(&$controller,$eventArgs)
	{
		require_once XOOPS_BASE_PATH . "/class/ActionFrame.class.php";

		$actionName = isset($_GET['type']) ? trim($_GET['type']) : "Smilies";

		$moduleRunner = new Legacy_ActionFrame(false);
		$moduleRunner->setActionName($actionName);

		$controller->setActionStrategy($moduleRunner);

		$controller->setDialogMode(true);

		$controller->executeAction();

		$controller->executeView();
	}
}

?>